This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 977615 - (CVE-2013-1698) CVE-2013-1698 Mozilla: getUserMedia permission dialog incorrectly displays location (MFSA 2013-60)
CVE-2013-1698 Mozilla: getUserMedia permission dialog incorrectly displays lo...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130625,repor...
: Security
Depends On:
Blocks: 972560
  Show dependency treegraph
 
Reported: 2013-06-24 22:13 EDT by Huzaifa S. Sidhpurwala
Modified: 2013-06-26 02:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 22:27:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-06-24 22:13:06 EDT
Mozilla engineer Matt Wobensmith discovered that when the getUserMedia permission dialog for an iframe appears in one domain, it will display its origin as that of the top-level document and not the calling framed page. This could lead to users incorrectly giving camera or microphone permissions when confusing the requesting page's location for a hosting one's.


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-60.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Matt Wobensmith as the original reporter.

Statement:

This issue does not affect the version of firefox and thunderbird as shipped with Red Hat Enterprise Linux 5 and 6

Note You need to log in before you can comment on or make changes to this bug.